<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Main extends CI_Controller {
public $data = array();

	public function __construct()
    {
        parent::__construct();
        $this->load->model('main_model');
        $this->config->load('config_secondary');
        $this->data['secondary_base_url'] = $this->config->item('secondary_base_url');
        $this->load->library('pagination');
        $this->data['url'] = 'http://localhost/admin.uae-offplan/';

    }

    public function domain_checker($domain)
    {
    	if($_SERVER['HTTP_HOST']=="localhost") {
			$this->config->set_item('secondary_base_url', 'http://localhost/community_web_pages/'.$domain.'/');
		}else{ 
			$this->config->set_item('secondary_base_url', '');
			$base_url =  $domain.'/';
			$config['base_url'] = $base_url;
			$this->config->set_item('base_url', $base_url);
		}

        return $this->config->item('secondary_base_url');
    }

	public function index($domain)
	{
		$this->data['secondary_base_url'] = $this->domain_checker($domain);

		//Get Info
		$homepage_info = $this->main_model->homepage_info($domain);
		
		//$base_url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') ? "https" : "http";

		$this->data['meta_title'] = $homepage_info[0]['homepage_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['homepage_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['homepage_meta_keywords'];

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['page_heading'] = $homepage_info[0]['heading1'];
		$this->data['tagline'] = $homepage_info[0]['tagline'];
		$this->data['homepage_content'] = $homepage_info[0]['homepage_content'];


		//QUICK FACTS
		$this->data['homepage_quick_facts'] = $this->main_model->homepage_quick_facts($homepage_info[0]['domain_id']);

		//POPULAR PROPERTIES
		$this->data['property_heading'] = $homepage_info[0]['featured_heading2'];
		$this->data['property_tagline'] = $homepage_info[0]['featured_tagline'];
		$this->data['featured_projects'] = $this->main_model->featured_projects();
		$this->data['bedroom_detail'] = $this->main_model->bedroom_detail($homepage_info[0]['domain_id']);

		//POPULAR LISTING PROPERTIES
		$this->data['listing_heading'] = $homepage_info[0]['featured_sale_heading2'];
		$this->data['listing_tagline'] = $homepage_info[0]['featured_sale_tagline'];
		$this->data['featured_listing_projects'] = $this->main_model->featured_listing_projects();
		$this->data['listing_bedroom_detail'] = $this->main_model->listing_bedroom_detail($homepage_info[0]['domain_id']);

		//AREA GUIDE
		$this->data['area_guide_title'] = $homepage_info[0]['area_guide_title'];
		$this->data['area_guide_desc'] = $homepage_info[0]['area_guide_desc'];
		$this->data['area_guide_latitude'] = $homepage_info[0]['area_guide_latitude'];
		$this->data['area_guide_longitude'] = $homepage_info[0]['area_guide_longitude'];

		//NEARBY PLACES
		$this->data['nearby_places_info'] = $this->main_model->nearby_places_info($homepage_info[0]['domain_id']);

		//LIFESTYLE
		$this->data['lifestyle_title'] = $homepage_info[0]['lifestyle_title'];
		$this->data['lifestyle_desc'] = $homepage_info[0]['lifestyle_desc'];

		//FAQs
		$this->data['lifestyle_faqs'] = $this->main_model->lifestyle_faqs($homepage_info[0]['domain_id']);

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('home');
		$this->load->view('footer');
	
	}

	public function new_projects($domain)
	{
		$this->data['secondary_base_url'] = $this->domain_checker($domain);
		$homepage_info = $this->main_model->homepage_info($domain);
		$this->data['url'] = 'http://localhost/admin.uae-offplan/';

		$this->data['community_id'] = $homepage_info[0]['community_id'];

		$this->data['meta_title'] = $homepage_info[0]['new_projects_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['new_projects_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['new_projects_meta_keywords'];

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['new_projects_page_heading'] = $homepage_info[0]['new_projects_heading1'];
		$this->data['homepage_content'] = $homepage_info[0]['homepage_content'];
		$this->data['page_heading'] = $homepage_info[0]['heading1'];

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('new-projects');
		$this->load->view('footer');
	}

	public function loadNewProjects($pagno,$community_id)
	{
		$limit = 20;
		if ($pagno != 0)
		{
			$offset = ($pagno-1) * $limit;
		}else{
			$offset = $pagno;
		}

		$config["base_url"] = base_url('main/loadNewProjects/');
		$config['use_page_numbers'] = TRUE;

		$config["total_rows"] = $this->main_model->loadNewProjects($community_id, $limit, $offset, $count=true);
		$config["per_page"] = $limit;
		$config["cur_page"] = $pagno;
		$config["uri_segment"] = 3;
		$config['attributes']['rel'] = FALSE;
		// $config['attributes']=array('class' => 'page-link');
		$config['full_tag_open'] = '<ul class="page_navigation">';
	    $config['full_tag_close'] = '</ul>';
		$config["num_tag_open"] = '<li class="page-item"><a class="page-link" href="#">';
		$config["num_tag_close"] = '</a></li>';
		$config["cur_tag_open"] = '<li class="page-item active"><a class="page-link" href="#">';
		$config["cur_tag_close"] = '</a></li>';
		// $config["next_link"] = '&raquo';
		$config["next_link"] = '';
		$config["next_tag_open"] = '<li class="page-item">
                    <a class="page-link" href="#"><span class="fas fa-angle-right">';
		$config["next_tag_close"] = '</span></a></li>';
		$config["prev_link"] = '';
		$config["prev_tag_open"] = '<li class="page-item"><a class="page-link" href="#"> <span class="fas fa-angle-left">';
		$config["prev_tag_close"] = "</span></a></li>";
		$config['first_link'] = FALSE;
		// $config["first_tag_open"] = '<li class="">';
		// $config["first_tag_close"] = '</li>';
		$config['last_link'] = FALSE;
		// $config["last_tag_open"] = '<li class="last">';
		// $config['last_tag_close'] = '</li>';
		$config['reuse_query_string'] = true;

		$this->pagination->initialize($config);

		$data['new_projects'] = $this->main_model->loadNewProjects($community_id, $limit, $offset, $count=false);

		
		$data['pagelinks'] = $this->pagination->create_links();
		
		$output = '';
		foreach($data['new_projects'] as $key => $properties)
		{
			if(empty($properties->starting_price))
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = number_format($properties->starting_price);
			}
		
		// $bedroom = $this->main_model->bedroom_detail_type($properties->type_id);
		$property_url = !empty($this->data['secondary_base_url'])?$this->data['secondary_base_url'].'single-new-property/'.strtolower(str_replace(' ','-',$properties->property_name)):base_url('single-new-property/').strtolower(str_replace(' ','-',$properties->property_name));
			$output .= ' <div class="col-sm-6 col-lg-6">
                <div class="listing-style1">
                  <a href='.$property_url.'>
                    <div class="list-thumb">
                      <img class="w-100" src='.$this->data['url'].$properties->cover_image.' alt="">
                      <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                      <div class="list-tag2 fz12">'.$properties->type_name.'</div>
                      <div class="list-price"><span>from </span>AED '.$starting_price.'</div>
                    </div>
                  </a>
                  <div class="list-content">
                    <h6 class="list-title"><a href="single-property.php">'.$properties->property_name.'</a></h6>
                    <p class="list-text">'.$properties->community_name.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href=""><span class="flaticon-bed"></span>2,3,4,5 Bed</a>
                      <a href=""><span class=""></span></a>
                      <a href=""><span class="flaticon-expand"></span>'.number_format($properties->max_size).'</a>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="icons d-flex align-items-center">
                        <a href=""><img src='.base_url('assets/images/Phone.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/WhatsApp.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/Send.svg').' /></a>
                      </div>
                      <span class="for-what">More details <img src='.base_url('assets/images/more-details.svg').' /></span>
                    </div>
                  </div>
                </div>
              </div>';
		
		}
		
		$output .= '<div id="pagination" class="mbp_pagination text-center">'.$data['pagelinks'].'</div>';

		echo $output;
	}

	public function for_sale($domain)
	{
		$this->data['secondary_base_url'] = $this->domain_checker($domain);
		//Get Info
		$homepage_info = $this->main_model->homepage_info($domain);
		$this->data['url'] = 'http://localhost/admin.uae-offplan/';

		$this->data['meta_title'] = $homepage_info[0]['for_sale_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['for_sale_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['for_sale_meta_keywords'];

		$this->data['community_id'] = $homepage_info[0]['community_id'];

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		// $this->data['new_projects_page_heading'] = $homepage_info[0]['for_sale_heading1'];
		$this->data['homepage_content'] = $homepage_info[0]['homepage_content'];
		$this->data['page_heading'] = $homepage_info[0]['heading1'];

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('for-sale');
		$this->load->view('footer');
	}

	public function loadSaleProjects($pagno,$community_id)
	{
		$limit = 20;
		if ($pagno != 0)
		{
			$offset = ($pagno-1) * $limit;
		}else{
			$offset = $pagno;
		}

		$config["base_url"] = base_url('main/loadSaleProjects/');
		$config['use_page_numbers'] = TRUE;

		$config["total_rows"] = $this->main_model->loadSaleProjects($community_id, $limit, $offset, $count=true);
		$config["per_page"] = $limit;
		$config["cur_page"] = $pagno;
		$config["uri_segment"] = 3;
		$config['attributes']['rel'] = FALSE;
		// $config['attributes']=array('class' => 'page-link');
		$config['full_tag_open'] = '<ul class="page_navigation">';
	    $config['full_tag_close'] = '</ul>';
		$config["num_tag_open"] = '<li class="page-item"><a class="page-link" href="#">';
		$config["num_tag_close"] = '</a></li>';
		$config["cur_tag_open"] = '<li class="page-item active"><a class="page-link" href="#">';
		$config["cur_tag_close"] = '</a></li>';
		// $config["next_link"] = '&raquo';
		$config["next_link"] = '';
		$config["next_tag_open"] = '<li class="page-item">
                    <a class="page-link" href="#"><span class="fas fa-angle-right">';
		$config["next_tag_close"] = '</span></a></li>';
		$config["prev_link"] = '';
		$config["prev_tag_open"] = '<li class="page-item"><a class="page-link" href="#"> <span class="fas fa-angle-left">';
		$config["prev_tag_close"] = "</span></a></li>";
		$config['first_link'] = FALSE;
		// $config["first_tag_open"] = '<li class="">';
		// $config["first_tag_close"] = '</li>';
		$config['last_link'] = FALSE;
		// $config["last_tag_open"] = '<li class="last">';
		// $config['last_tag_close'] = '</li>';
		$config['reuse_query_string'] = true;

		$this->pagination->initialize($config);

		$data['new_projects'] = $this->main_model->loadSaleProjects($community_id, $limit, $offset, $count=false);

		
		$data['pagelinks'] = $this->pagination->create_links();
		
		$output = '';
		foreach($data['new_projects'] as $key => $properties)
		{
			if(empty($properties->starting_price))
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = number_format($properties->starting_price);
			}
		
		// $bedroom = $this->main_model->bedroom_detail_type($properties->type_id);
		
			$output .= '<div class="col-lg-12">
                <div class="listing-style1 listing-type">
                  <div class="list-thumb flex-shrink-0">
                    <img class="w-100" src='.$this->data['url'].$properties->cover_image.' alt="">
                    <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                    <div class="list-price">'.$starting_price.' AED</div>
                  </div>
                  <div class="list-content flex-shrink-1">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href="" style="font-weight: 500;font-size: 24px!important;">26,000,000 AED</a></h2>
                    <div class="list-meta d-flex align-items-center">
                      <a href="" style="color: #181A20!important;"><span class="flaticon-bed"></span>3 Bedroom</a>
                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href="" style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$properties->max_size.' sqft</a>
                    </div>
                    <h6 class="list-text" style="font-size: 18px;font-weight: 600;color: #181A20">'.$properties->property_name.'</h6>
                    <img src='.base_url('assets/images/location-icon.png').' class="location-pin" ><span>'.$properties->community_name.'</span>
                    <p class="list-text2">Luxury Resort Living at the Iconic Address</p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="icons d-flex align-items-center">
                        <a href=""><img src='.base_url('assets/images/Phone.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/WhatsApp.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/Send.svg').' /></a>
                      </div>
                      <span class="for-what">More details <img src='.base_url('assets/images/more-details.svg').' />
                    </div>
                  </div>
                </div>
              </div>';
		
		}
		
		$output .= '<div id="pagination" class="mbp_pagination text-center">'.$data['pagelinks'].'</div>';

		echo $output;
	}

	public function single_new_property($domain, $property_name)
	{
		$property_name = str_replace('-', ' ',$property_name);
		//Get Info
		$homepage_info = $this->main_model->homepage_info($domain);

		$this->data['meta_title'] = $homepage_info[0]['homepage_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['homepage_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['homepage_meta_keywords'];
		$this->data['page_logo'] = $homepage_info[0]['logo_image'];


		$this->data['new_property_info'] = $this->main_model->new_property_info($property_name);

		$this->data['page_heading'] = $this->data['new_property_info']->property_name;
		$this->data['community_name'] = $this->data['new_property_info']->community_name;
		$this->data['starting_price'] = $this->data['new_property_info']->starting_price;
		$this->data['type_name'] = $this->data['new_property_info']->type_name;
		$this->data['max_size'] = $this->data['new_property_info']->max_size;
		$this->data['completion_date'] = $this->data['new_property_info']->completion_date;
		$this->data['developer_name'] = $this->data['new_property_info']->developer_name;

		$this->data['bedroom'] = $this->main_model->bedroom_info($this->data['new_property_info']->property_id);

		$this->data['content'] = $this->data['new_property_info']->full_content;


		$this->load->view('header',$this->data);
		// $this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('single-new-property');
		$this->load->view('footer');
	}

	
}
