<?php

class Main_model extends CI_Model {
	
    public function homepage_info($domain)
    {
        $this->db->select('*');
        $this->db->from('community_web_pages');
        $this->db->join('community_web_pages_domain_list', 'community_web_pages_domain_list.domain_id = community_web_pages.domain_id');
        $this->db->where('community_web_pages_domain_list.domain_name', $domain);
        $d = $this->db->get();
        return $d->result_array();
    }

    public function homepage_quick_facts($domain_id)
    {
        $this->db->select('*');
        $this->db->from('community_web_pages');
        $this->db->join('community_web_pages_quick_facts', 'community_web_pages_quick_facts.domain_id = community_web_pages.domain_id');
        $this->db->where('community_web_pages.domain_id', $domain_id);
        $d = $this->db->get();
        return $d->result_array();
    }

    public function featured_projects()
    {
        $this->db->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name');
        $this->db->from('community_web_pages_featured_projects');
        $this->db->join('property_info', 'property_info.property_id= community_web_pages_featured_projects.property_id');
        $this->db->join('property_types', 'property_info.property_type_id= property_types.type_id');
        $this->db->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id');
        $this->db->where('community_web_pages_featured_projects.status', 'featured');
        $d = $this->db->get();
        return $d->result_array();
    }

    public function bedroom_detail($domain_id)
    {
        $this->db->select('property_bedroom_detail.property_id, property_bedroom_detail.bedroom');
        $this->db->from('community_web_pages_featured_projects');
        $this->db->join('property_bedroom_detail', 'community_web_pages_featured_projects.property_id= property_bedroom_detail.property_id');
        $this->db->where('community_web_pages_featured_projects.domain_id',$domain_id);
        $this->db->where('community_web_pages_featured_projects.status','featured');
        $d = $this->db->get();
        return $d->result_array();
    }

    public function featured_listing_projects()
    {
        $this->db->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name');
        $this->db->from('community_web_pages_featured_listing_sale');
        $this->db->join('property_info', 'property_info.property_id= community_web_pages_featured_listing_sale.property_id');
        $this->db->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id');
        $this->db->join('property_types', 'property_info.property_type_id= property_types.type_id');
        $this->db->where('community_web_pages_featured_listing_sale.status', 'featured');
        $d = $this->db->get();
        return $d->result_array();
    }

    public function listing_bedroom_detail($domain_id)
    {
        $this->db->select('property_bedroom_detail.property_id, property_bedroom_detail.bedroom');
        $this->db->from('community_web_pages_featured_listing_sale');
        $this->db->join('property_bedroom_detail', 'community_web_pages_featured_listing_sale.property_id= property_bedroom_detail.property_id');
        $this->db->where('community_web_pages_featured_listing_sale.domain_id',$domain_id);
        $this->db->where('community_web_pages_featured_listing_sale.status','featured');
        $d = $this->db->get();
        return $d->result_array();
    }

    public function nearby_places_info($domain_id)
    {
    	$this->db->where('community_web_pages_nearby_places.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_nearby_places');
        return $d->result_array();
    }

    public function lifestyle_faqs($domain_id)
    {
    	$this->db->where('community_web_pages_faqs.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_faqs');
        return $d->result_array();
    }

    public function popular_areas($domain_id)
    {
    	$this->db->where('community_web_pages_popular_areas_dubai.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_popular_areas_dubai');
        return $d->result_array();
    }

    public function popular_properties($domain_id)
    {
    	$this->db->where('community_web_pages_popular_properties.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_popular_properties');
        return $d->result_array();
    }

    public function loadCommunity($community_id)
    {
    	$this->db->where('community_id',$community_id);
    	$d = $this->db->get('neighbourhood');
    	return $d->row('community_name');

    }

    public function loadNewProjects($community_id, $limit, $offset, $count=true)
    {

        $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.cover_image, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->order_by('i.property_id', 'desc');

            if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
    }

    public function loadSaleProjects($community_id, $limit, $offset, $count=true)
    {

        $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.cover_image, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->order_by('i.property_id', 'desc');

            if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
    }

    public function new_property_info($property_name)
    {
    	$this->db->select('property_info.property_id,property_info.property_name,neighbourhood.community_name,property_info.starting_price,property_types.type_name,property_info.max_size,property_info.completion_date,developers.developer_name,property_info.full_content');
    	$this->db->from('property_info');
    	$this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
    	$this->db->join('property_types','property_types.type_id = property_info.property_type_id');
    	$this->db->join('developers','developers.developer_id = property_info.developer_id');
    	$this->db->where('property_name', $property_name);
    	$d = $this->db->get();
    	return $d->row();
    }

    public function bedroom_info($property_id)
    {
    	$this->db->where('property_id',$property_id);
    	$d = $this->db->get('property_bedroom_detail');
    	return $d->result();
    }

 }

 ?>