<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/userguide3/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'main';
// $route['(:any)'] = 'main/index';
$route['projects'] = 'main/new_projects';
$route['properties-for-sale'] = 'main/for_sale/$1';
$route['projects/(:any)'] = 'main/single_new_property/$1';
$route['properties-for-sale/(:any)'] = 'main/single_property_for_sale/$1';
$route['find-agents'] = 'main/find_agents';
$route['thank-you'] = 'main/thank_you';

// $route['(:any)'] = 'main/index/$1/';
//  $route['(:any)/new-projects'] = 'main/index/$1/new_projects';
//  $route['(:any)/for-sale'] = 'main/index/$1/for_sale';
//  $route['(:any)/single-page/(:any)'] = 'main/single_page/$1';
// $route['(:any)/for-sale'] = 'main/for_sale';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['sitemap\.xml'] = "Sitemap/index";
$route['pages-sitemap\.xml'] = "Pages_sitemap/index";
$route['projects-sitemap\.xml'] = "Projects_sitemap/index";
$route['properties-for-sale-sitemap\.xml'] = "Properties_for_sale_sitemap/index";
$route['robots.txt'] = "robots";
