<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Main extends CI_Controller {
public $data = array();

	public function __construct()
    {
        parent::__construct();
        // print_r($_SERVER['QUERY_STRING']);
        // exit();
        $this->session->unset_userdata('query_string');
        if ($_SERVER['QUERY_STRING'] != '')
        {
            $query_string = $_SERVER['QUERY_STRING'];
            $this->session->set_userdata('query_string', $query_string);
            
        }
        
        
        //Model Load
        $this->load->model('main_model');
        //Load Pagination
        $this->load->library('pagination');

        //set Secondary base url for menu links for local purpose
        $this->config->load('config_secondary');
        $this->data['secondary_base_url'] = $this->config->item('secondary_base_url');
        
        //For Admin Panel link for local & live purpose
        // $this->data['url'] = 'http://localhost/admin.uae-offplan/';
        $this->data['url'] = 'https://uae-offplan.com/admin.uae-offplan/';

        //For local purpose
// 		$this->data['domain'] = $this->uri->segment(1);

        // For Live Purpose
        $this->data['domain'] = str_replace('/','',(str_replace('https://','',(base_url()))));
        
	   //get Community Name for Form purpose
		$this->data['community_name'] = '';
    }

    public function domain_checker($domain)
    {
        
    	if($_SERVER['HTTP_HOST']=="localhost") {
			$this->config->set_item('secondary_base_url', 'http://localhost/community_web_pages/'.$domain.'/');
		}else{ 
			$this->config->set_item('secondary_base_url', '');
			$base_url =  'https://'.$domain.'/';
			$config['base_url'] = $base_url;
			$this->config->set_item('base_url', $base_url);
		}

        return $this->config->item('secondary_base_url');
    }

	public function index()
	{
	    $this->output->cache(60);
	    
		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);

		//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);
		
		$this->data['community_id'] = $homepage_info[0]['community_id'];
		$this->data['community_name'] = $this->main_model->community_info($this->data['community_id'])->community_name;
		
		$this->data['check_new_property'] = $this->main_model->check_new_property($this->data['community_id']);
		
		$this->data['check_sale_property'] = $this->main_model->check_sale_property($this->data['community_id']);
		
		//$base_url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') ? "https" : "http";

		$this->data['meta_title'] = $homepage_info[0]['homepage_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['homepage_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['homepage_meta_keywords'];
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];
		
		
		$this->data['types'] = $this->main_model->loadPropertyTypes();
		$this->data['listing_types'] = $this->main_model->loadListingTypes();
		
        
		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
// 		$this->data['page_heading1'] = $homepage_info[0]['slider_heading1'];
// 		$this->data['tagline1'] = $homepage_info[0]['slider_tagline'];
		$this->data['desktop_cover_image'] = $homepage_info[0]['desktop_cover_image'];
		$this->data['desktop_cover_image2'] = $homepage_info[0]['desktop_cover_image2'];
		$this->data['desktop_cover_image3'] = $homepage_info[0]['desktop_cover_image3'];
		
		$this->data['slider_heading1'] = $homepage_info[0]['slider_heading1'];
		$this->data['slider_heading2'] = $homepage_info[0]['slider_heading2'];
		$this->data['slider_heading3'] = $homepage_info[0]['slider_heading3'];
		
		$this->data['slider_tagline1'] = $homepage_info[0]['slider_tagline'];
		$this->data['slider_tagline2'] = $homepage_info[0]['slider_tagline2'];
		$this->data['slider_tagline3'] = $homepage_info[0]['slider_tagline3'];
		
		$this->data['slider_button_link1'] = $homepage_info[0]['slider_button_link'];
		$this->data['slider_button_link2'] = $homepage_info[0]['slider_button_link2'];
		$this->data['slider_button_link3'] = $homepage_info[0]['slider_button_link3'];
		
		$this->data['mobile_cover_image'] = $homepage_info[0]['mobile_cover_image'];
		$this->data['mobile_cover_image2'] = $homepage_info[0]['mobile_cover_image2'];
		$this->data['mobile_cover_image3'] = $homepage_info[0]['mobile_cover_image3'];
		
		$this->data['slider_button_link'] = $homepage_info[0]['slider_button_link'];
		$this->data['slider_button_link2'] = $homepage_info[0]['slider_button_link2'];
		$this->data['slider_button_link3'] = $homepage_info[0]['slider_button_link3'];
		$this->data['homepage_content'] = $homepage_info[0]['homepage_content'];
		
     
        // print_r($this->data->for_sale_record_count);

        
		//QUICK FACTS
		$this->data['homepage_quick_facts'] = $this->main_model->homepage_quick_facts($homepage_info[0]['domain_id']);

		//POPULAR PROPERTIES
		$this->data['property_heading'] = $homepage_info[0]['featured_heading2'];
		$this->data['property_tagline'] = $homepage_info[0]['featured_tagline'];
// 		$this->data['featured_projects'] = $this->main_model->featured_projects($homepage_info[0]['community_id']);
		$this->data['bedroom_detail'] = $this->main_model->bedroom_detail($homepage_info[0]['community_id']);

		//POPULAR LISTING PROPERTIES
		$this->data['listing_heading'] = $homepage_info[0]['featured_sale_heading2'];
		$this->data['listing_tagline'] = $homepage_info[0]['featured_sale_tagline'];
// 		$this->data['featured_listing_projects'] = $this->main_model->featured_listing_projects($homepage_info[0]['community_id']);
		$this->data['listing_bedroom_detail'] = $this->main_model->listing_bedroom_detail($homepage_info[0]['community_id']);

		//AREA GUIDE
		$this->data['area_guide_title'] = $homepage_info[0]['area_guide_title'];
		$this->data['area_guide_desc'] = $homepage_info[0]['area_guide_desc'];
		$this->data['area_guide_latitude'] = $homepage_info[0]['area_guide_latitude'];
		$this->data['area_guide_longitude'] = $homepage_info[0]['area_guide_longitude'];

		//NEARBY PLACES
		$this->data['nearby_places_info'] = $this->main_model->nearby_places_info($homepage_info[0]['domain_id']);

		//LIFESTYLE
		$this->data['lifestyle_title'] = $homepage_info[0]['lifestyle_title'];
		$this->data['lifestyle_desc'] = $homepage_info[0]['lifestyle_desc'];
		
		//EXTERIOR & INTERIOR GALLERIES
		$this->data['exterior_gallery'] = $this->main_model->exterior_gallery($homepage_info[0]['domain_id']);
		$this->data['interior_gallery'] = $this->main_model->interior_gallery($homepage_info[0]['domain_id']);
		
		//Features & Ameneties
		$this->data['feature_amenities'] = $this->main_model->feature_amenities($homepage_info[0]['domain_id']);

		//FAQs
		$this->data['lifestyle_faqs'] = $this->main_model->lifestyle_faqs($homepage_info[0]['domain_id']);

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('contact-form-properties');
		$this->load->view('add-whatsapp');
		$this->load->view('hidden-sidebar');
// 		$this->load->view('filter-hidden');
		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('home');
		$this->load->view('footer');
	
	}
	
	public function loadPopularProjects()
	{
		$community_id = $this->input->post('community_id');
		$query = $this->input->post('query');
		$property_type = $this->input->post('property_type');
		$min_price = $this->input->post('min_price');
		$max_price = $this->input->post('max_price');
		$bedroom = $this->input->post('bedroom');
		$query_string = $this->input->post('query_string');
		

		$this->data['popularProjects'] = $this->main_model->featured_projects($community_id,$query,$property_type,$min_price,$max_price,$bedroom);

		if (sizeof($this->data['popularProjects']) > 0 )
		{

		$output = '';
		foreach($this->data['popularProjects'] as $properties)
		{
			if($properties['starting_price'] == 0)
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = '<span>from </span>AED '. number_format($properties['starting_price']);
			}
		
		$bedroom_detail = $this->main_model->bedroom_detail($community_id);
		
		
		$property_url = !empty($query_string)?base_url('projects/').strtolower(str_replace(' ','-',$properties['property_name'])).'/?'.$query_string:base_url('projects/').strtolower(str_replace(' ','-',$properties['property_name']));
		
			$output .= '<div class="col-sm-6 col-lg-4">
            <div class="listing-style1 style3">
              <a href='. $property_url.'>
                <div class="list-thumb">

                  <img class="w-100" src='.$this->data['url'].$properties['cover_image'].' alt="'.$properties['property_name'].'">
                  <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                  <div class="list-tag2 fz12">'.$properties['type_name'].'</div>
                  <div class="list-price">'.$starting_price.'</div>
                </div>
              </a>
              <div class="list-content">
                <h6 class="list-title"><a href='.$property_url.'>'.$properties['property_name'].'</a></h6>
                <p class="list-text">'.$properties['community_name'].'</p>
                <div class="list-meta d-flex align-items-center">';
                $bed = [];
                  foreach ($bedroom_detail as $key => $bedroom)
                  {
                      if ($properties['property_id'] == $bedroom['property_id'])
                      {
                        $bed []= $bedroom['bedroom'];
                      }
                  }
                  
                  
                  $output .= '<a href=""><span class="flaticon-bed"></span>'.str_replace(' Br','',implode(', ',$bed)). ' Bed'.'</a>
                  <a href=""><span></span></a>
                  <a href=""><span class="flaticon-expand"></span>'.number_format($properties['max_size']). ' sqft</a>
                </div>
                <hr class="mt-2 mb-2">
                <div class="list-meta2 d-flex justify-content-between align-items-center">
                  <div class="icons d-flex align-items-center">
                    <a href="tel:+971 52 4474422"><img src='.base_url('assets/images/Phone.svg').' /></a>
                    <a href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$properties['property_name'].'+Kindly+send+me+more+information.+Thank+you%21+'.base_url('projects/'.str_replace(' ','-',($properties['property_name']))).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img src='.base_url('assets/images/Whatsapp.svg').' /></a>
                    <a href="javascript:void(0)" onclick="getForm(\''.$properties['property_name'].'\')"><img src='.base_url('assets/images/Send.svg').' /></a>
                  </div>
                  <a href='.$property_url.' style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a>
                </div>
              </div>
            </div>
          </div>';
		
		}
		
		// $output .= '<div id="pagination" class="mbp_pagination text-center">'.$data['pagelinks'].'</div>';

		echo $output;
	}
// 	else{
// 		$output = '<div class="text-center" style="margin-bottom:50px;"><h3>Record Not Found</h3></div>';
// 		echo $output;
// 	}
	}

	public function loadPopularListings()
	{
	    
		$community_id = $this->input->post('community_id');
		$query = $this->input->post('query');
		$property_type = $this->input->post('property_type');
		$min_price = $this->input->post('min_price');
		$max_price = $this->input->post('max_price');
		$bedroom = $this->input->post('bedroom');
		$query_string = $this->input->post('query_string');

		$this->data['popularListing'] = $this->main_model->featured_listing_projects($community_id,$query,$property_type,$min_price,$max_price,$bedroom);
		
		

		if (sizeof($this->data['popularListing']) > 0 )
		{

		$output = '';
		foreach($this->data['popularListing'] as $properties)
		{
			if($properties['starting_price'] == 0)
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = '<span>from </span>AED '.number_format($properties['starting_price']);
			}

		$usps_info = $this->main_model->usps_info($properties['property_id']);
		$usps=[];
		foreach ($usps_info as $key => $value)
					{
						if($properties['property_id'] == $value->property_id)
						{
							$usps []= $value->project_usps;
						}
						
					}
		
// 		$bedroom_detail = $this->main_model->listing_bedroom_detail($community_id);
// 		$property_url = base_url('properties-for-sale/').$properties['community_slug'];

$property_url = !empty($query_string)?base_url('properties-for-sale/').$properties['community_slug'].'/?'.$query_string:base_url('properties-for-sale/').$properties['community_slug'];

			$output .= '<div class="col-sm-6 col-lg-4">
            <div class="listing-style1 style3">
              <a href='.$property_url.'>
                <div class="list-thumb">

                  <img class="w-100" src='.$this->data['url'].$properties['cover_image'].' alt="'.$properties['property_name'].'">
                  <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                  <div class="list-tag2 fz12">'.$properties['type_name'].'</div>
                  <div class="list-price">'.$starting_price.'</div>
                </div>
              </a>
              <div class="list-content">
                <h6 class="list-title"><a title="'.implode(' | ',$usps).'" style="white-space: nowrap;width: 100%; overflow: hidden;display:block; text-overflow: ellipsis;" href='.$property_url.'>'.implode(' | ',$usps).'</a></h6>
                 <img style="width:15px;margin-right:10px;" src='.base_url('assets/images/location1.svg').' alt="">
                <span>'.$properties['community_name'].'</span>
                <p title="'.$properties['property_name'].'" class="list-test">'.$properties['property_name'].'</p>
                <div class="list-meta d-flex align-items-center">';
                // $bed = [];
                //   foreach ($bedroom_detail as $key => $bedroom)
                //   {
                //       if ($properties['property_id'] == $bedroom['property_id'])
                //       {
                //         $bed []= $bedroom['bedroom'];
                //       }
                //   }
                  
                  
                  $output .= '<a href=""><span class="flaticon-bed"></span>'.str_replace(' Br',' ',$properties['for_sale_bedroom']). 'Bed'.'</a>
                  <a href=""><span></span></a>
                  <a href=""><span class="flaticon-expand"></span>'.number_format($properties['max_size']). ' sqft</a>
                </div>
                <hr class="mt-2 mb-2">
                <div class="list-meta2 d-flex justify-content-between align-items-center">
                  <div class="icons d-flex align-items-center">
                    <a href="tel:+971 52 4474422"><img src='.base_url('assets/images/Phone.svg').' /></a>
                    <a href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$properties['property_name'].'+Kindly+send+me+more+information.+Thank+you%21+'.base_url('properties-for-sale/'.str_replace(' ','-',($properties['community_slug']))).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img src='.base_url('assets/images/Whatsapp.svg').' /></a>
                    <a href="javascript:void(0)" onclick="getForm(\''.$properties['property_name'].'\')"><img src='.base_url('assets/images/Send.svg').' /></a>
                  </div>
                  <a href='.$property_url.' style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a>
                </div>
              </div>
            </div>
          </div>';
		
		}
		
		// $output .= '<div id="pagination" class="mbp_pagination text-center">'.$data['pagelinks'].'</div>';

		echo $output;
	}
// 	else{
// 		$output = '<div class="text-center" style="margin-bottom:50px;"><h3>Record Not Found</h3></div>';
// 		echo $output;
// 	}
	}

	public function new_projects()
	{
	    $this->output->cache(60);

		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);

		// $this->data['url'] = 'http://localhost/admin.uae-offplan/';

		$this->data['community_id'] = $homepage_info[0]['community_id'];
		$this->data['community_name'] = $this->main_model->community_info($this->data['community_id'])->community_name;

		$this->data['meta_title'] = $homepage_info[0]['new_projects_meta_title'];
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['meta_description'] = $homepage_info[0]['new_projects_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['new_projects_meta_keywords'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['new_projects_page_heading'] = $homepage_info[0]['new_projects_heading1'];
		$this->data['new_projects_content'] = $homepage_info[0]['new_projects_content'];
		$this->data['page_heading'] = $homepage_info[0]['slider_heading1'];

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('contact-form-properties');
		$this->load->view('add-whatsapp');
		$this->load->view('hidden-sidebar');
		$this->load->view('filter-hidden');
// 		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('new-projects');
		$this->load->view('footer');
	}

	public function loadNewProjects()
	{
	  
		$limit = $this->input->post('limit');
		$offset = $this->input->post('offset');
		$community_id = $this->input->post('community_id');
		$property_name = $this->input->post('property_name');
		$property_type = $this->input->post('property_type');
		$min_value = $this->input->post('min_value');
		$max_value = $this->input->post('max_value');
		$bedroom = $this->input->post('bedroom');
		$query_string = $this->input->post('query_string');
		

		$num_records = $this->main_model->loadNewProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=true);

		$data['new_projects'] = $this->main_model->loadNewProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=false);
		


		if ($data['new_projects'] != '')
		{
			// echo "OK";
		// $data['pagelinks'] = $this->pagination->create_links();
		
		$output = '';
		foreach($data['new_projects'] as $key => $properties)
		{
			if(empty($properties->starting_price))
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = '<span>from </span>AED '.number_format($properties->starting_price);
			}
		
		$bedroom = $this->main_model->bedroom_info($properties->property_id);
		$bed=[];
		foreach ($bedroom as $key => $bedrooms)
					{
						if($properties->property_id == $bedrooms->property_id)
						{
							$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
						}
						
					}
// 		$property_url = base_url('projects/').strtolower(str_replace(' ','-',$properties->property_name)).'/?'.$query_string;
		$property_url = !empty($query_string)?base_url('projects/').strtolower(str_replace(' ','-',$properties->property_name)).'/?'.$query_string:base_url('projects/').strtolower(str_replace(' ','-',$properties->property_name));
		
// 		!empty($query_string)?base_url('properties-for-sale/').$properties['community_slug'].'/?'.$query_string:base_url('properties-for-sale/').$properties['community_slug'];

			$output .= '<div class="col-sm-6 col-lg-6">
                <div class="listing-style1">
                  <a href='.$property_url.'>
                    <div class="list-thumb">
                      <img class="w-100" src='.$this->data['url'].$properties->cover_image.' alt="'.$properties->property_name.'">
                      <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                      <div class="list-tag2 fz12">'.$properties->type_name.'</div>
                      <div class="list-price"> '.$starting_price.'</div>
                    </div>
                  </a>
                  <div class="list-content">
                    <h6 class="list-title"><a href='.$property_url.'>'.$properties->property_name.'</a></h6>
                    <p class="list-text">'.$properties->community_name.'</p>
                    <div class="list-meta d-flex align-items-center"><a href=""><span class="flaticon-bed"></span>'.implode(', ',$bed).' Bed</a>
                      <a href=""><span class=""></span></a>
                      <a href=""><span class="flaticon-expand"></span>'.number_format($properties->max_size).' sqft</a>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="icons d-flex align-items-center">
                        <a href="tel:+971 52 4474422"><img src='.base_url('assets/images/Phone.svg').' /></a>
                        <a href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$properties->property_name.'+Kindly+send+me+more+information.+Thank+you%21+'.base_url('projects/'.str_replace(' ','-',($properties->property_name))).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img src='.base_url('assets/images/Whatsapp.svg').' /></a>
                        <a href="javascript:void(0)" onclick="getForm(\''.$properties->property_name.'\')"><img src='.base_url('assets/images/Send.svg').' /></a>
                      </div>
                      <span class="for-what">More details <img src='.base_url('assets/images/more-details.svg').' /></span>
                    </div>
                  </div>
                </div>
              </div>';
		
		}
		
		// $output .= '<div id="pagination" class="mbp_pagination text-center">'.$data['pagelinks'].'</div>';

		$data1['msg'] = 'success';
		$data1['view'] = $output;
		$data1['offset'] = $offset +4;
		$data1['limit'] = $limit;
		$data1['tot_rec'] = $num_records;
		echo json_encode($data1);

		// echo $output;
	}else{
		$output = '<div class="text-center" style="margin-bottom:50px;"><h3>Record Not Found</h3></div>';
		$data1['msg'] = $output;
		echo json_encode($data1);
		// echo $output;
	}

	}

	public function for_sale()
	{
	    $this->output->cache(60);
		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);
		//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);
		// $this->data['url'] = 'http://localhost/admin.uae-offplan/';

		$this->data['meta_title'] = $homepage_info[0]['for_sale_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['for_sale_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['for_sale_meta_keywords'];
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];

		$this->data['community_id'] = $homepage_info[0]['community_id'];
		$this->data['community_name'] = $this->main_model->community_info($this->data['community_id'])->community_name;

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		// $this->data['new_projects_page_heading'] = $homepage_info[0]['for_sale_heading1'];
		$this->data['for_sale_content'] = $homepage_info[0]['for_sale_content'];
		$this->data['page_heading'] = $this->data['community_name'];

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header', $this->data);
		$this->load->view('contact-form');
		$this->load->view('contact-form-properties');
		$this->load->view('add-whatsapp');
		$this->load->view('hidden-sidebar');
		$this->load->view('filter-hidden');
// 		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
		$this->load->view('for-sale');
		$this->load->view('footer');
	}

	public function loadSaleProjects()
	{
		$limit = $this->input->post('limit');
		$offset = $this->input->post('offset');
		$community_id = $this->input->post('community_id');
		$property_name = $this->input->post('property_name');
		$property_type = $this->input->post('property_type');
		$min_value = $this->input->post('min_value');
		$max_value = $this->input->post('max_value');
		$bedroom = $this->input->post('bedroom');
		$query_string = $this->input->post('query_string');

		$num_records = $this->main_model->loadSaleProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=true);

		$data['new_projects'] = $this->main_model->loadSaleProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=false);


		if ($data['new_projects'] != '')
		{
		
		// $data['pagelinks'] = $this->pagination->create_links();
		
		$output = '';
		foreach($data['new_projects'] as $key => $properties)
		{
			if(empty($properties->starting_price))
			{
				$starting_price = 'Ask For Prices';
			}else{
				$starting_price = number_format($properties->starting_price) .' AED';
			}
		
		$usps_info = $this->main_model->usps_info($properties->property_id);
		$usps=[];
		foreach ($usps_info as $key => $value)
					{
						if($properties->property_id == $value->property_id)
						{
							$usps []= $value->project_usps;
						}
						
					}

		$bedroom = $this->main_model->bedroom_info($properties->property_id);
		$bed=[];
		foreach ($bedroom as $bedrooms)
					{
						if($properties->property_id == $bedrooms->property_id)
						{
							$bed []= str_replace('Br','',ucwords($bedrooms->bedroom));
						}
						
					}
// 			$property_url = base_url('properties-for-sale/').$properties->community_slug.'/?'.$query_string;
// 			$property_url = !empty($query_string)?base_url('properties-for-sale/').strtolower(str_replace(' ','-',$properties->property_name)).'/?'.$query_string:base_url('properties-for-sale/').strtolower(str_replace(' ','-',$properties->property_name));
		    $property_url = !empty($query_string)?base_url('properties-for-sale/').$properties->community_slug.'/?'.$query_string:base_url('properties-for-sale/').$properties->community_slug;
		    
			$output .= '<div class="col-lg-12">
                <div class="listing-style1 listing-type">
                  <div class="list-thumb for-sale">
                  <a href='.$property_url.'>
                    <img class="w-100" src='.$this->data['url'].$properties->cover_image.' alt="'.$properties->property_name.'">
                    <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                    <div class="list-tag2 fz12">'.$properties->type_name.'</div>
                    <div class="list-price">'.$starting_price.'</div>
                    </a>
                  </div>
                  
                  <div class="list-content flex-shrink-1" style="padding:10px 20px 20px 20px!important;">
                    <h2 class="list-title" style="text-decoration: none!important; "><a href='.$property_url.' style="font-weight: 500;font-size: 24px!important;">'.$starting_price.'</a></h2>
                    <div class="list-meta d-flex align-items-center">
                      <a href='.$property_url.' style="color: #181A20!important;"><span class="flaticon-bed"></span>'.implode(', ',$bed).' Bedroom</a>
                      <a href="" style="color: #181A20!important;"><span class=""></span></a>
                      <a href='.$property_url.' style="color: #181A20!important;"><span class="flaticon-expand"></span>'.$properties->max_size.' sqft</a>
                    </div>
                    <a>
                    <h6 class="list-text" style="font-size: 16px;font-weight: 600;color: #181A20">'.implode(' | ',$usps).'</h6>
                    </a>
                    <img style="width:15px;margin-right:10px;" src='.base_url('assets/images/location1.svg').' class="location-pin" ><span>'.$properties->community_name.'</span>
                    <p class="list-text2">'.$properties->property_name.'</p>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="icons d-flex align-items-center">
                        <a href="tel:+971 52 4474422"><img src='.base_url('assets/images/Phone.svg').' /></a>
                        <a href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+'.$properties->property_name.'+Kindly+send+me+more+information.+Thank+you%21+'.base_url('properties-for-sale/'.$properties->community_slug).'&type=phone_number&app_absent=0" type="button"  target="_blank"><img src='.base_url('assets/images/Whatsapp.svg').' /></a>
                        <a href="javascript:void(0)" onclick="getForm(\''.$properties->property_name.'\')"><img src='.base_url('assets/images/Send.svg').' /></a>
                      </div>
                      
                      <a href='.$property_url.' style="line-height:0px;width:auto; height:0px; ">
                  <span class="for-what">More details</span>
                  <span class="flaticon-fullscreen"></span>
                  </a>
                    </div>
                  </div>
                </div>
              </div>';
		
		}
		$data1['msg'] = 'success';
		$data1['view'] = $output;
		$data1['offset'] = $offset +4;
		$data1['limit'] = $limit;
		$data1['tot_rec'] = $num_records;
		echo json_encode($data1);
		}else{
			$output = '<div class="text-center" style="margin-bottom:50px;"><h3>Record Not Found</h3></div>';
		$data1['msg'] = $output;
		echo json_encode($data1);
		
	}
	}

	public function single_new_property($property_name)
	{
	    $this->output->cache(60);
		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);
		$property_name = str_replace('-', ' ',$property_name);
		//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);

		$this->data['new_property_info'] = $this->main_model->new_property_info($property_name);
		$this->data['community_id'] = $this->main_model->new_property_info($property_name)->community_id;
		
		$this->data['meta_title'] = $this->data['new_property_info']->community_meta_title;
		$this->data['meta_description'] = $this->data['new_property_info']->community_meta_desc;
		$this->data['meta_keywords'] = $this->data['new_property_info']->community_meta_keywords;
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];

		$this->data['page_heading'] = $this->data['new_property_info']->property_name;
		$this->data['community_name'] = $this->data['new_property_info']->community_name;
		$this->data['starting_price'] = $this->data['new_property_info']->starting_price;
		$this->data['type_name'] = $this->data['new_property_info']->type_name;
		$this->data['max_size'] = $this->data['new_property_info']->max_size;
		$this->data['completion_date'] = $this->data['new_property_info']->completion_date;
		$this->data['developer_name'] = $this->data['new_property_info']->developer_name;
		$this->data['short_content'] = $this->data['new_property_info']->short_content;
		$this->data['community_content'] = $this->data['new_property_info']->community_content;
		

		$this->data['property_images'] = $this->main_model->property_images($this->data['new_property_info']->property_id);

		$this->data['bedroom'] = $this->main_model->bedroom_info($this->data['new_property_info']->property_id);
		
		//DISPLAY SIMILAR PROPERTIES
	
		$this->data['similar_properties_info'] = $this->main_model->new_similar_properties_info($this->data['community_id'], $this->data['new_property_info']->property_id,$status=true);
		
		$this->data['bedroom_info'] = $this->main_model->bedroom();


		//Features & Ameneties
		$this->data['feature_amenities'] = $this->main_model->feature_amenities($homepage_info[0]['domain_id']);

		//AREA GUIDE
		$this->data['area_guide_title'] = $homepage_info[0]['area_guide_title'];
		$this->data['area_guide_desc'] = $homepage_info[0]['area_guide_desc'];
		$this->data['area_guide_latitude'] = $homepage_info[0]['area_guide_latitude'];
		$this->data['area_guide_longitude'] = $homepage_info[0]['area_guide_longitude'];

		//NEARBY PLACES
		$this->data['nearby_places_info'] = $this->main_model->nearby_places_info($homepage_info[0]['domain_id']);


		$this->data['content'] = $this->data['new_property_info']->full_content;
		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);


		$this->load->view('header',$this->data);
		$this->load->view('contact-form-properties');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('contact-form');
		$this->load->view('download-brochure');
		$this->load->view('floor-plan');
		$this->load->view('full-brochure');
		$this->load->view('payment-plan');
		$this->load->view('mobile-nav');
		$this->load->view('single-new-property');
		$this->load->view('footer');
	}
	
	public function loadNewSimilarProjects()
	{
		//DISPLAY SIMILAR PROPERTIES
		$this->data['similar_properties_info'] = $this->main_model->new_similar_properties_info();
		
// 		print_r($this->data['similar_properties_info'][1]->property_id);
// 		exit();
		
		
        $output = '';
		foreach ($this->data['similar_properties_info'] as $key => $value)
		{
                $this->data['bedroom'] = $this->main_model->bedroom_info($this->data['similar_properties_info'][$key]->property_id);
                  $bed=[];
                    foreach ($this->data['bedroom'] as $bedroom)
                          {
                            if($value->property_id == $bedroom->property_id)
                            {
                              $bed []= $bedroom->bedroom;
                            }
                            
                          }
               
             $output .= '<div class="item">
                <div class="listing-style1">
                  <div class="list-thumb">
                    <img class="w-100" src='.$this->data['url'].$value->cover_image.' alt="">
                    <div class="list-tag fz12"><span class="flaticon-electricity me-2"></span>FEATURED</div>
                    <div class="list-price"><span>from </span>AED '.$value->starting_price.'</div>
                  </div>
                  <div class="list-content">
                    <h6 class="list-title">'.$value->property_name.'</h6>
                    <p class="list-text">'.$value->community_name.'</p>
                    <div class="list-meta d-flex align-items-center">
                      <a href=""><span class="flaticon-bed"></span>'.str_replace(' Br','',implode(', ',$bed)).' Bed</a>
                      <a href=""><span class=""></span></a>
                      <a href=""><span class="flaticon-expand"></span>'.$value->max_size.' sqft</a>
                    </div>
                    <hr class="mt-2 mb-2">
                    <div class="list-meta2 d-flex justify-content-between align-items-center">
                      <div class="icons d-flex align-items-center">
                        <a href=""><img src='.base_url('assets/images/Phone.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/Whatsapp.svg').' /></a>
                        <a href=""><img src='.base_url('assets/images/Send.svg').' /></a>
                      </div>
                      <span class="for-what">More details <span class="flaticon-fullscreen"></span>
                    </div>
                  </div>
                </div>
              </div>';
          }
          
          echo $output;
   
	}

	public function single_property_for_sale($slug)
	{
	    $this->output->cache(60);

		// $project_name = str_replace('-',' ',$project_name);
	    // $property_name = str_replace('-',' ',$property_name);

		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);
		// $property_name = str_replace('-', ' ',$property_name);
		//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);

		$this->data['for_sale_property_info'] = $this->main_model->for_sale_property_info($slug);
		
		$project_name = $this->data['for_sale_property_info']->project_name;
		
		$property_id = $this->main_model->new_property_info($project_name);
		
		$community_id = $this->main_model->new_property_info($project_name)->community_id;
		
		
		
		
		
// 		$this->data['community_id'] = $this->main_model->new_property_info($this->data['new_property_info']);
		

		$this->data['meta_title'] = $this->data['for_sale_property_info']->community_meta_title;
		$this->data['meta_description'] = $this->data['for_sale_property_info']->community_meta_desc;
		$this->data['meta_keywords'] = $this->data['for_sale_property_info']->community_meta_keywords;
		
		
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];

		// $this->data['developer_name'] = $this->main_model->new_property_info($project_name);
		
		$this->data['page_heading'] = $this->data['for_sale_property_info']->property_name;
		$this->data['community_name'] = $this->data['for_sale_property_info']->community_name;
		$this->data['starting_price'] = $this->data['for_sale_property_info']->starting_price;
		$this->data['type_name'] = $this->data['for_sale_property_info']->type_name;
		$this->data['bedroom'] = $this->data['for_sale_property_info']->for_sale_bedroom;
		$this->data['max_size'] = $this->data['for_sale_property_info']->max_size;
		$this->data['completion_date'] = $this->data['for_sale_property_info']->completion_date;
		// $this->data['developer_name'] = $this->data['for_sale_property_info']->developer_name;

		$this->data['property_images'] = $this->main_model->property_images($this->data['for_sale_property_info']->property_id);

// 		$this->data['bedroom'] = $this->main_model->bedroom_info($this->data['for_sale_property_info']->property_id);
		$this->data['short_content'] = $this->data['for_sale_property_info']->short_content;
		$this->data['community_content'] = $this->data['for_sale_property_info']->community_content;

		$this->data['bedroom_info'] = $this->main_model->bedroom();

		//Features & Ameneties
		$this->data['feature_amenities'] = $this->main_model->feature_amenities($homepage_info[0]['domain_id']);

		//AREA GUIDE
		$this->data['area_guide_title'] = $homepage_info[0]['area_guide_title'];
		$this->data['area_guide_desc'] = $homepage_info[0]['area_guide_desc'];
		$this->data['area_guide_latitude'] = $homepage_info[0]['area_guide_latitude'];
		$this->data['area_guide_longitude'] = $homepage_info[0]['area_guide_longitude'];

		//NEARBY PLACES
		$this->data['nearby_places_info'] = $this->main_model->nearby_places_info($homepage_info[0]['domain_id']);

		$this->data['content'] = $this->data['for_sale_property_info']->full_content;

		//DISPLAY SIMILAR PROPERTIES
// 		$this->data['similar_properties_info'] = $this->main_model->similar_properties_info();
        
        $this->data['similar_properties_info'] = $this->main_model->new_similar_properties_info($community_id, $property_id,$status=false);


		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header',$this->data);
		$this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('contact-form-properties');
		$this->load->view('mobile-nav');
		$this->load->view('download-brochure');
		$this->load->view('floor-plan');
		$this->load->view('full-brochure');
		$this->load->view('payment-plan');
		$this->load->view('single-property-for-sale');
		$this->load->view('footer');
	}
	
	public function find_agents()
	{
	    $this->output->cache(60);
		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);

		//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);
		//$base_url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') ? "https" : "http";
		// $this->data['community_id'] = $homepage_info[0]['community_id'];
		$this->data['meta_title'] = $homepage_info[0]['rep_meta_title'];
		$this->data['meta_description'] = $homepage_info[0]['rep_meta_desc'];
		$this->data['meta_keywords'] = $homepage_info[0]['rep_meta_keywords'];
		$this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		$this->data['meta_index'] = $homepage_info[0]['meta_index'];
		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
		$this->data['cover_image'] = $homepage_info[0]['rep_cover_image'];
		$this->data['main_heading'] = $homepage_info[0]['rep_heading1'];
		$this->data['page_heading'] = $homepage_info[0]['slider_heading1'];
		$this->data['content'] = $homepage_info[0]['rep_content'];
		$this->data['favicon'] = $homepage_info[0]['favicon'];
		
		$this->data['community_name'] = $this->main_model->community_info($homepage_info[0]['community_id'])->community_name;

		//FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

		$this->load->view('header',$this->data);
		$this->load->view('contact-form');
		$this->load->view('add-whatsapp');
		$this->load->view('hidden-sidebar');
// 		$this->load->view('advance-feature-modal');
		$this->load->view('mobile-nav');
// 		$this->load->view('floor-plan');
// 		$this->load->view('full-brochure');
// 		$this->load->view('payment-plan');
		$this->load->view('find-agents');
		$this->load->view('footer');
	}
	
	public function thank_you()
	{
	    $this->output->cache(60);
		$this->data['secondary_base_url'] = $this->domain_checker($this->data['domain']);
		// $this->data['page_logo'] = $homepage_info[0]['logo_image'];

		if (empty($this->input->post('status')))
		{
			// For Local
// 			return redirect($this->data['secondary_base_url']);
			//For Online
			return redirect(base_url());
		}else{

			//Get Info
		$homepage_info = $this->main_model->homepage_info($this->data['domain']);
		//$base_url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') ? "https" : "http";
		$this->data['community_id'] = $homepage_info[0]['community_id'];
		$this->data['community_name'] = $this->main_model->community_info($this->data['community_id'])->community_name;

		$this->data['page_logo'] = $homepage_info[0]['logo_image'];
			$this->data['meta_title'] ='Thank You';
		    $this->data['meta_description'] = '';
		    $this->data['meta_keywords'] = '';
		    $this->data['favicon'] = $homepage_info[0]['favicon'];
		    $this->data['google_tag_manager_id'] = $homepage_info[0]['google_tag_manager_id'];
		    $this->data['meta_index'] = $homepage_info[0]['meta_index'];

		    //FOOTER
		$this->data['footer_logo'] = $homepage_info[0]['footer_logo_image'];
		$this->data['popular_areas'] = $this->main_model->popular_areas($homepage_info[0]['domain_id']);
		$this->data['popular_properties'] = $this->main_model->popular_properties($homepage_info[0]['domain_id']);

			$this->load->view('header',$this->data);
		// $this->load->view('contact-form');
		$this->load->view('hidden-sidebar');
		$this->load->view('advance-feature-modal');
		$this->load->view('add-whatsapp');
		$this->load->view('contact-form');
		$this->load->view('mobile-nav');
// 		$this->load->view('floor-plan');
// 		$this->load->view('full-brochure');
// 		$this->load->view('payment-plan');
		$this->load->view('thank-you');
		$this->load->view('footer');
		}
	}

	
}
