<?php

class Main_model extends CI_Model {
	
    public function homepage_info($domain)
    {
        $this->db->select('*');
        $this->db->from('community_web_pages');
        $this->db->join('community_web_pages_domain_list', 'community_web_pages_domain_list.domain_id = community_web_pages.domain_id');
        $this->db->where('community_web_pages_domain_list.domain_name', $domain);
        $d = $this->db->get();
        return $d->result_array();
    }
    
    public function for_sale_record_count($community_id)
    {
        $this->db->where('community_id', $community_id);
        $this->db->where('property_status', 'SALE');
        $d = $this->db->get('property_info');
        return $d->num_rows();
    }
    
    public function new_project_record_count($community_id)
    {
        $this->db->where('community_id', $community_id);
        $this->db->where('property_status', 'NEW');
        $d = $this->db->get('property_info');
        return $d->num_rows();
    }

    public function check_new_property($community_id)
    {
        $this->db->where('community_id',$community_id);
        $this->db->where('property_status','NEW');
        $this->db->where('published_status','Published');
        $this->db->where('featured_unfeatured_status','featured');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function check_sale_property($community_id)
    {
        $this->db->where('community_id',$community_id);
        $this->db->where('property_status','SALE');
        $this->db->where('published_status','Published');
        $this->db->where('featured_unfeatured_status','featured');
        $d = $this->db->get('property_info');
        return $d->result();
    }

    public function community_info($community_id)
    {
        $this->db->where('community_id',$community_id);
        $d = $this->db->get('neighbourhood');
        return $d->row();
    }

    public function homepage_quick_facts($domain_id)
    {
        $this->db->select('*');
        $this->db->from('community_web_pages');
        $this->db->join('community_web_pages_quick_facts', 'community_web_pages_quick_facts.domain_id = community_web_pages.domain_id');
        $this->db->where('community_web_pages.domain_id', $domain_id);
        $d = $this->db->get();
        return $d->result_array();
    }

    public function loadPropertyTypes()
    {   
        $this->db->where('status','new');
        $d = $this->db->get('property_types');
        $types['']='All property types';
        foreach ($d->result() as $value) {
            $types[$value->type_id] = $value->type_name;
        }
        return $types;
    }

    public function loadListingTypes()
    {   
        $this->db->where('status','sale');
        $d = $this->db->get('property_types');
        $types['']='All property types';
        foreach ($d->result() as $value) {
            $types[$value->type_id] = $value->type_name;
        }
        return $types;
    }

    public function featured_projects($community_id,$query,$property_type,$min_price,$max_price,$bedroom)
    {

        if (empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            

            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->order_by('property_info.position', 'desc')
            ->where('property_info.community_id', $community_id)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
            
            
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->group_by('property_info.property_name')
            ->group_start()
            ->like('property_info.property_name',$query)
            ->or_like('property_types.type_name',$query)
            ->group_end()
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id','right')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.property_type', $property_type)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
           ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_bedroom_detailbedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
           ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price<=', $max_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && !empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_bedroom_detail.bedroom')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'NEW')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        } 
    }

    public function featured_listing_projects($community_id,$query,$property_type,$min_price,$max_price,$bedroom)
    {
        
        if (empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {

            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            // ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
            
            
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->group_by('property_info.property_name')
            ->group_start()
            ->like('property_info.property_name',$query)
            ->or_like('property_types.type_name',$query)
            ->group_end()
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id','right')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.property_type', $property_type)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
           ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (!empty($query) && empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_name', $query)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_bedroom_detailbedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && !empty($min_price) && empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
           ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && empty($property_type) && empty($min_price) && !empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.starting_price<=', $max_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && !empty($max_price) && empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        }

        if (empty($query) && !empty($property_type) && !empty($min_price) && !empty($max_price) && !empty($bedroom))
        {
            $d = $this->db
            ->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name,property_info.for_sale_bedroom,property_info.community_slug')
            ->from('property_info')
            ->join('property_types', 'property_info.property_type_id= property_types.type_id')
            ->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id')
            // ->join('property_bedroom_detail','property_info.property_id = property_bedroom_detail.property_id')
            ->where('property_info.featured_unfeatured_status', 'featured')
            ->where('property_info.property_status', 'SALE')
            ->where('property_info.published_status', 'Published')
            ->where('property_info.community_id', $community_id)
            ->where('property_info.property_type_id', $property_type)
            ->where('property_info.starting_price>=', $min_price)
            ->where('property_info.starting_price<=', $max_price)
            ->where('property_bedroom_detail.bedroom', $bedroom)
            ->group_by('property_info.property_name')
            ->get();
            return $d->result_array();
        } 
    }

    public function bedroom_detail($community_id)
    {
        $this->db->select('property_bedroom_detail.property_id, property_bedroom_detail.bedroom');
        $this->db->from('property_info');
        $this->db->join('property_bedroom_detail', 'property_info.property_id= property_bedroom_detail.property_id');
        $this->db->where('property_info.featured_unfeatured_status','featured');
        $this->db->where('property_info.community_id',$community_id);
        $d = $this->db->get();
        return $d->result_array();
    }

    // public function featured_listing_projects($community_id)
    // {
    //     $this->db->select('property_info.property_id,property_info.property_name,property_info.project_name, property_info.cover_image,property_info.starting_price, neighbourhood.community_name,property_info.max_size,property_types.type_name');
    //     $this->db->from('property_info');
    //     $this->db->join('neighbourhood', 'neighbourhood.community_id= property_info.community_id');
    //     $this->db->join('property_types', 'property_info.property_type_id= property_types.type_id');
    //     $this->db->where('property_info.featured_unfeatured_status', 'featured');
    //     $this->db->where('property_info.property_status', 'SALE');
    //     $this->db->where('property_info.published_status', 'Published');
    //     $this->db->where('property_info.community_id', $community_id);
    //     $d = $this->db->get();
    //     return $d->result_array();
    // }

    public function listing_bedroom_detail($community_id)
    {
        $this->db->select('property_bedroom_detail.property_id, property_bedroom_detail.bedroom');
        $this->db->from('property_info');
         $this->db->join('property_bedroom_detail', 'property_info.property_id= property_bedroom_detail.property_id');
        $this->db->where('property_info.featured_unfeatured_status','featured');
        $this->db->where('property_info.community_id', $community_id);
        $d = $this->db->get();
        return $d->result_array();
    }

    public function nearby_places_info($domain_id)
    {
    	$this->db->where('community_web_pages_nearby_places.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_nearby_places');
        return $d->result_array();
    }

    public function lifestyle_faqs($domain_id)
    {
    	$this->db->where('community_web_pages_faqs.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_faqs');
        return $d->result_array();
    }

    public function exterior_gallery($domain_id)
    {
        $this->db->where('domain_id',$domain_id);
        $d = $this->db->get('communities_web_pages_exterior_gallery_images');
        return $d->result_array();
    }

    public function interior_gallery($domain_id)
    {
        $this->db->where('domain_id',$domain_id);
        $d = $this->db->get('communities_web_pages_interior_gallery_images');
        return $d->result_array();
    }

    public function feature_amenities($domain_id)
    {
        $this->db->where('domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_amenities');
        return $d->result_array();
    }

    public function popular_areas($domain_id)
    {
    	$this->db->where('community_web_pages_popular_areas_dubai.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_popular_areas_dubai');
        return $d->result_array();
    }

    public function popular_properties($domain_id)
    {
    	$this->db->where('community_web_pages_popular_properties.domain_id',$domain_id);
        $d = $this->db->get('community_web_pages_popular_properties');
        return $d->result_array();
    }

    public function loadCommunity($community_id)
    {
    	$this->db->where('community_id',$community_id);
    	$d = $this->db->get('neighbourhood');
    	return $d->row('community_name');

    }

    public function loadNewProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=false)
    {

        if (empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {

            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    // ->like('property_name',$property_name)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');
            if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {

            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price<=',$min_value)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$max_value)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                   ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('bd.bedroom',$bedroom)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('t.type_name',$property_type)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('i.starting_price<=',$min_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('i.starting_price>=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('bd.bedroom',$bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('i.starting_price<=',$min_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('i.starting_price>=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('bd.bedroom',$bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$min_value)
                    ->where('i.starting_price<=',  $max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$min_value)
                    ->where('bd.bedroom', $bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'NEW')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price<=',$max_value)
                    ->where('bd.bedroom', $bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

            
    }

    public function loadSaleProjects($community_id,$property_name,$property_type,$min_value,$max_value,$bedroom,$limit,$offset,$count=true)
    {


        if (empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name,i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    // ->like('property_name',$property_name)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');
            if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {

            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price<=',$min_value)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$max_value)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                   ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('bd.bedroom',$bedroom)
                    // ->where('i.starting_price<=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('t.type_name',$property_type)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('i.starting_price<=',$min_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('i.starting_price>=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (!empty($property_name)&&empty($property_type)&&empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->like('i.property_name',$property_name)
                    ->where('bd.bedroom',$bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&!empty($min_value)&&empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('i.starting_price<=',$min_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('i.starting_price>=',$max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&!empty($property_type)&&empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('t.type_name',$property_type)
                    ->where('bd.bedroom',$bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&!empty($max_value)&&empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$min_value)
                    ->where('i.starting_price<=',  $max_value)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
         if (empty($property_name)&&empty($property_type)&&!empty($min_value)&&empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price>=',$min_value)
                    ->where('bd.bedroom', $bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }

         if (empty($property_name)&&empty($property_type)&&empty($min_value)&&!empty($max_value)&&!empty($bedroom))
        {
            $this->db
                    ->select('i.property_id,i.property_name,i.project_name, i.starting_price, d.community_name, i.slug,t.type_name,i.max_size,t.type_id, i.cover_image,bd.bedroom,i.community_slug')
                    ->from('property_info i')
                    ->join('property_types t', 'i.property_type_id=t.type_id')
                    ->join('neighbourhood d','d.community_id = i.community_id')
                    ->join('property_bedroom_detail bd','bd.property_id = i.property_id')
                    // ->join('developers dev', 'dev.developer_id=i.developer_id')
                    ->where('i.property_status', 'SALE')
                    ->where('i.published_status', 'Published')
                    ->where('i.community_id',$community_id)
                    ->where('i.starting_price<=',$max_value)
                    ->where('bd.bedroom', $bedroom)
                    ->order_by('i.property_id', 'desc')
                    ->group_by('i.property_name');

                    if($count)
            {
                return $this->db->count_all_results();
            }else{
                $this->db->limit($limit, $offset);
                $d = $this->db->get();
                if ($d->num_rows() > 0 )
                {
                    return $d->result();
                }
            }
         }
    }

    public function new_property_info($property_name)
    {
    	$this->db->select('property_info.property_id,property_info.property_name,neighbourhood.community_id,neighbourhood.community_name,property_info.starting_price,property_types.type_name,property_info.max_size,property_info.completion_date,developers.developer_name,property_info.short_content,property_info.full_content,property_info.community_meta_title,property_info.community_content,property_info.community_meta_desc,property_info.community_meta_keywords');
    	$this->db->from('property_info');
    	$this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
    	$this->db->join('property_types','property_types.type_id = property_info.property_type_id');
    	$this->db->join('developers','developers.developer_id = property_info.developer_id');
    	$this->db->where('property_name', $property_name);
        $this->db->where('property_status', 'NEW');
    	$d = $this->db->get();
    	return $d->row();
    }

    public function for_sale_property_info($slug)
    {

        $this->db->select('property_info.property_id,property_info.property_name,neighbourhood.community_id,neighbourhood.community_name,property_info.starting_price,property_types.type_name,property_info.max_size,property_info.completion_date,property_info.full_content,property_info.short_content,property_info.project_name,property_info.community_meta_title,property_info.community_meta_desc,property_info.community_meta_keywords,property_info.community_slug,property_info.community_content,property_info.for_sale_bedroom');
        $this->db->from('property_info');
        $this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
        $this->db->join('property_types','property_types.type_id = property_info.property_type_id');
        // $this->db->join('developers','developers.developer_id = property_info.developer_id');
        // $this->db->where('project_name', $project_name);
        $this->db->where('property_info.community_slug', $slug);
        // $this->db->where('property_status', 'SALE');
        $d = $this->db->get();
        return $d->row();
    }

    public function similar_properties_info($community_id)
    {

        $this->db->select('property_info.property_id,property_info.property_name,property_info.project_name,neighbourhood.community_name,property_info.starting_price,property_types.type_name,property_info.max_size,property_info.completion_date,property_info.full_content,property_info.cover_image');
        $this->db->from('property_info');
        $this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
        $this->db->join('property_types','property_types.type_id = property_info.property_type_id');
        // $this->db->join('developers','developers.developer_id = property_info.developer_id');
        // $this->db->where('property_id', $property_id);
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        // $this->db->limit(9);
        $this->db->order_by('property_info.property_id', 'desc');
        $d = $this->db->get();
        return $d->result();
    }

    public function new_similar_properties_info($community_id,$property_id,$status=true)
    {

        $this->db->select('property_info.property_id,property_info.property_name,neighbourhood.community_name,property_info.starting_price,property_types.type_name,property_info.max_size,property_info.completion_date,property_info.full_content,property_info.cover_image');
        $this->db->from('property_info');
        $this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
        $this->db->join('property_types','property_types.type_id = property_info.property_type_id');
        // $this->db->join('developers','developers.developer_id = property_info.developer_id');
        // $this->db->where('property_id', $property_id);
        $this->db->where('property_info.community_id', $community_id);
        if ($status)
        {
            $this->db->where_not_in('property_info.property_id', $property_id);
        }
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        // $this->db->limit(9);
        $this->db->order_by('property_info.property_id', 'desc');
        $d = $this->db->get();
        return $d->result();
    }

    public function new_similar_properties_bedroom($community_id)
    {

        $this->db->select('property_info.property_id,property_info.property_name,property_bedroom_detail.bedroom');
        $this->db->from('property_info');
        $this->db->join('neighbourhood','neighbourhood.community_id = property_info.community_id');
        $this->db->join('property_bedroom_detail','property_bedroom_detail.property_id = property_info.property_id');
        $this->db->where('property_status', 'NEW');
        $this->db->where('published_status', 'Published');
        $this->db->where('property_info.community_id', $community_id);
        $d = $this->db->get();
        return $d->result();
    }

    public function bedroom_info($property_id)
    {
    	$this->db->where('property_id',$property_id);
    	$d = $this->db->get('property_bedroom_detail');
    	return $d->result();
    }

    public function bedroom()
    {
        $d = $this->db->get('property_bedroom_detail');
        return $d->result();
    }

    public function usps_info($property_id)
    {
        $this->db->where('property_id',$property_id);
        $d = $this->db->get('project_usps_detail');
        return $d->result();
    }

    public function property_images($property_id)
    {
        $this->db->where('property_id',$property_id);
        $d = $this->db->get('property_images_upload');
        return $d->result();
    }

 }

 ?>